Closed Bug 1325947 Opened 3 years ago Closed 3 years ago

perma leak: LeakSanitizer | leak at AllocateProtoAndIfaceCache, xpc::CreateGlobalObject, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal

Categories

(Core :: DOM: Core & HTML, defect)

52 Branch
defect
Not set

Tracking

()

RESOLVED WORKSFORME
Tracking Status
firefox53 - unaffected

People

(Reporter: aryx, Unassigned)

References

Details

(Keywords: intermittent-failure, memory-leak, regression, Whiteboard: [MemShrink][stockwell fixed])

[task 2016-12-27T12:00:16.492116Z] 12:00:16     INFO - -----------------------------------------------------
[task 2016-12-27T12:00:16.494110Z] 12:00:16     INFO - Suppressions used:
[task 2016-12-27T12:00:16.498736Z] 12:00:16     INFO -   count      bytes template
[task 2016-12-27T12:00:16.500239Z] 12:00:16     INFO -      40        986 libc.so
[task 2016-12-27T12:00:16.501813Z] 12:00:16     INFO -     818      26056 nsComponentManagerImpl
[task 2016-12-27T12:00:16.503376Z] 12:00:16     INFO -      51       7344 mozJSComponentLoader::LoadModule
[task 2016-12-27T12:00:16.505027Z] 12:00:16     INFO -       1        384 pixman_implementation_lookup_composite
[task 2016-12-27T12:00:16.506598Z] 12:00:16     INFO -     360      15936 libfontconfig.so
[task 2016-12-27T12:00:16.508431Z] 12:00:16     INFO -       1         32 libdl.so
[task 2016-12-27T12:00:16.510854Z] 12:00:16     INFO -      26       6492 libglib-2.0.so
[task 2016-12-27T12:00:16.512480Z] 12:00:16     INFO -       1         40 libpulsecommon-1.1.so
[task 2016-12-27T12:00:16.515100Z] 12:00:16     INFO -       1         28 libresolv.so
[task 2016-12-27T12:00:16.516683Z] 12:00:16     INFO - -----------------------------------------------------
[task 2016-12-27T12:00:16.518592Z] 12:00:16     INFO - SUMMARY: AddressSanitizer: 402048 byte(s) leaked in 6773 allocation(s).
[task 2016-12-27T12:00:16.520660Z] 12:00:16     INFO - TEST-INFO | Main app process: exit 0
[task 2016-12-27T12:00:16.524699Z] 12:00:16     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2016-12-27T12:00:16.526369Z] 12:00:16     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2016-12-27T12:00:16.528309Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at AllocateProtoAndIfaceCache, xpc::CreateGlobalObject, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal
[task 2016-12-27T12:00:16.530377Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::TenuringTracer::moveSlotsToTenured, js::TenuringTracer::moveObjectToTenured
[task 2016-12-27T12:00:16.532615Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::Shape::hashify, maybeCreateTableForLookup
[task 2016-12-27T12:00:16.536021Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, AllocScriptData, js::detail::CopyScript
[task 2016-12-27T12:00:16.540162Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::XMLHttpRequestEventTargetBinding::CreateInterfaceObjects, mozilla::dom::XMLHttpRequestEventTargetBinding::GetProtoObjectHandle
[task 2016-12-27T12:00:16.542144Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, HashChildren, js::PropertyTree::insertChild, js::PropertyTree::getChild
[task 2016-12-27T12:00:16.544083Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::NewStringCopyNDontDeflate, AtomizeAndCopyChars
[task 2016-12-27T12:00:16.547066Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::NewStringCopyNDontDeflate, NewStringCopyN
[task 2016-12-27T12:00:16.549120Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, _ZL17NewStringDeflatedILN2js7AllowGCE0EEP12JSFlatStringPNS0_16ExclusiveContextEPKDsm, AtomizeAndCopyChars
[task 2016-12-27T12:00:16.551324Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::EventTargetBinding::CreateInterfaceObjects, mozilla::dom::EventTargetBinding::GetProtoObjectHandle
[task 2016-12-27T12:00:16.553685Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeSet::NewInstance, XPCNativeSet::GetNewOrUsed, XPCWrappedNativeProto::GetNewOrUsed
[task 2016-12-27T12:00:16.556342Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::XDRScript, js::XDRState
[task 2016-12-27T12:00:16.559232Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::frontend::CreateScriptSourceObject, CreateEmptyScriptForClone
[task 2016-12-27T12:00:16.568188Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::TenuringTracer::moveElementsToTenured, js::TenuringTracer::moveObjectToTenured
[task 2016-12-27T12:00:16.570224Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, NewEmptyScopeData, js::FunctionScope::copyData
[task 2016-12-27T12:00:16.572234Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_realloc, maybe_pod_realloc, js::Nursery::reallocateBuffer, ReallocateObjectBuffer
[task 2016-12-27T12:00:16.574145Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::TypeNewScript::make, js::ObjectGroup::defaultNewGroup
[task 2016-12-27T12:00:16.576241Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, js::ProxyObject::objectMovedDuringMinorGC, js::TenuringTracer::moveObjectToTenured, js::TenuringTracer::moveToTenured
[task 2016-12-27T12:00:16.578608Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::HeadersBinding::CreateInterfaceObjects, mozilla::dom::HeadersBinding::GetConstructorObjectHandle
[task 2016-12-27T12:00:16.583680Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::Shape::hashify, js::NativeObject::toDictionaryMode
[task 2016-12-27T12:00:16.585810Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::RequestBinding::CreateInterfaceObjects, mozilla::dom::RequestBinding::GetConstructorObjectHandle
[task 2016-12-27T12:00:16.587779Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::InflateString, CreateFunctionPrototype
[task 2016-12-27T12:00:16.589900Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal, mozJSComponentLoader::PrepareObjectForLocation
[task 2016-12-27T12:00:16.593725Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, _ZL17NewStringDeflatedILN2js7AllowGCE1EEP12JSFlatStringPNS0_16ExclusiveContextEPKDsm, JS_NewUCStringCopyN
[task 2016-12-27T12:00:16.595748Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, CopyScopeData, js::GlobalScope::copyData
[task 2016-12-27T12:00:16.597852Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::ObjectGroup::newPlainObject, js::DeepCloneObjectLiteral
[task 2016-12-27T12:00:16.604100Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::DOMParserBinding::CreateInterfaceObjects, mozilla::dom::DOMParserBinding::GetProtoObjectHandle
[task 2016-12-27T12:00:16.606042Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, make_unique, js::TryConvertToUnboxedLayout
[task 2016-12-27T12:00:16.607964Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, make_unique, js::MapObject::create
[task 2016-12-27T12:00:16.609859Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::RegExpStatics::create, js::GlobalObject::getRegExpStatics
[task 2016-12-27T12:00:16.611819Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, CopyScopeData, js::FunctionScope::clone
[task 2016-12-27T12:00:16.613751Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at InterfaceInfo, EntryToInfo, mozilla::XPTInterfaceInfoManager::GetInfoForIID, XPCNativeInterface::GetNewOrUsed
[task 2016-12-27T12:00:16.616067Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, tryNewTenuredObject, js::Allocate
[task 2016-12-27T12:00:16.618451Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewBackstagePass, mozJSComponentLoader::PrepareObjectForLocation, mozJSComponentLoader::ObjectForLocation
[task 2016-12-27T12:00:16.624381Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, CopyScopeData, js::Scope::clone
[task 2016-12-27T12:00:16.626449Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::ExceptionBinding::CreateInterfaceObjects, mozilla::dom::ExceptionBinding::GetProtoObjectHandle
[task 2016-12-27T12:00:16.628471Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, Create, getOrCreate, js::SharedImmutableStringsCache::getOrCreate
[task 2016-12-27T12:00:16.630398Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNative::GetNewOrUsed, XPCConvert::NativeInterface2JSObject, NativeInterface2JSObject
[task 2016-12-27T12:00:16.632308Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, Create, JSRuntime::init, init
[task 2016-12-27T12:00:16.634211Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::ObjectGroup::newPlainObject, js::XDRObjectLiteral
[task 2016-12-27T12:00:16.636867Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsID::ToString, GetNumber, nsJSID::ToString, NS_InvokeByIndex
[task 2016-12-27T12:00:16.639131Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, NewEmptyScopeData, js::GlobalScope::copyData
[task 2016-12-27T12:00:16.644077Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, js::ShapeTable::init, js::Shape::hashify
[task 2016-12-27T12:00:16.646071Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsStringBuffer::Alloc, nsAttrValue::GetStringBuffer, nsAttrValue::SetTo, mozilla::dom::Element::SetAttr
[task 2016-12-27T12:00:16.647957Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, createTable, init
[task 2016-12-27T12:00:16.651045Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::Nursery::allocateBuffer, js::Nursery::reallocateBuffer
[task 2016-12-27T12:00:16.653804Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NewID, xpc_NewIDObject, nsXPCComponents_ID::CallOrConstruct, Call
[task 2016-12-27T12:00:16.656041Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, js::ObjectGroup::newPlainObject, js::XDRObjectLiteral
[task 2016-12-27T12:00:16.659183Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, js::ObjectGroup::allocationSiteGroup, js::NewObjectOperation
[task 2016-12-27T12:00:16.661290Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, createTable, js::detail::HashTable
[task 2016-12-27T12:00:16.663566Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, pod_malloc, pod_malloc
[task 2016-12-27T12:00:16.667821Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, AllocScriptData, partiallyInit
[task 2016-12-27T12:00:16.669735Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_realloc, maybe_pod_realloc, ExtractWellSized, FinishStringFlat
[task 2016-12-27T12:00:16.671700Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, AllocScriptData, JSScript::partiallyInit
[task 2016-12-27T12:00:16.674347Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, JSScript::makeTypes, ensureHasTypes
[task 2016-12-27T12:00:16.676708Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, AllocateObjectBuffer, js::NativeObject::growSlots
[task 2016-12-27T12:00:16.679677Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, SetLayoutTraceList, js::TryConvertToUnboxedLayout
[task 2016-12-27T12:00:16.681863Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, CopyScopeData, CopyScopeData
[task 2016-12-27T12:00:16.691373Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, js::TypeNewScript::maybeAnalyze, js::CreateThisForFunctionWithProto
[task 2016-12-27T12:00:16.693312Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, pod_malloc, convertToHeapStorage
[task 2016-12-27T12:00:16.695192Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, make_pod_array, DuplicateString
[task 2016-12-27T12:00:16.697230Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at ProtoAndIfaceCache, AllocateProtoAndIfaceCache, xpc::CreateGlobalObject, XPCWrappedNative::WrapNewGlobal
[task 2016-12-27T12:00:16.699188Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNativeProto::GetNewOrUsed, XPCWrappedNative::GetNewOrUsed, XPCConvert::NativeInterface2JSObject
[task 2016-12-27T12:00:16.701102Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsStringBuffer::Alloc, DynamicAtom::DynamicAtom, Create, NS_Atomize
[task 2016-12-27T12:00:16.704665Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, CreateFunctionPrototype, js::GlobalObject::resolveConstructor
[task 2016-12-27T12:00:16.707668Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_realloc, maybe_pod_realloc, pod_realloc, growTo
[task 2016-12-27T12:00:16.709758Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, js::detail::MutexImpl::MutexImpl, Mutex, ExclusiveData
[task 2016-12-27T12:00:16.713487Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Construct, XPCWrappedNativeProto::Init, XPCWrappedNativeProto::GetNewOrUsed, XPCWrappedNative::WrapNewGlobal
[task 2016-12-27T12:00:16.715447Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeInterface::NewInstance, XPCNativeInterface::GetNewOrUsed, XPCConvert::NativeInterface2JSObject
[task 2016-12-27T12:00:16.718386Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_malloc, maybe_pod_malloc, AllocChars, JSRope::flattenInternal
[task 2016-12-27T12:00:16.720606Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_calloc, maybe_pod_calloc, js::ObjectGroup::newPlainObject, js::DeepCloneObjectLiteral
[task 2016-12-27T12:00:16.723045Z] 12:00:16    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNativeProto::GetNewOrUsed, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal
perma fail in this directory:
toolkit/components/extensions/test/mochitest

this started from this push on November 11th:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?changeset=67858d51f777

here is a treeherder view of +-2 revisions to see when this started:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&startdate=2016-11-10&enddate=2016-11-13&filter-searchStr=Linux%20x64%20asan%20Mochitests%20executed%20by%20TaskCluster%20desktop-test-linux64-asan%2Fopt-mochitest-chrome-3%20tc-M(c3)&fromchange=ae039aa6accf827582bf6d3fbee5760d5950e88e&tochange=bac6adefd6a2e423ced72b735471cb6bae7ee741&selectedJob=39100350

:kmag, I see you were the author of the patches- this wasn't seen as we failed to surface leaks (bug 1325148)- so we can whitelist this in the meantime- can you take a look at this bug when you get some time?
Component: Mozbase → WebExtensions: Untriaged
Flags: needinfo?(kmaglione+bmo)
Product: Testing → Toolkit
Summary: Intermittent devtools LeakSanitizer | leak at AllocateProtoAndIfaceCache, xpc::CreateGlobalObject, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal → perma leak: LeakSanitizer | leak at AllocateProtoAndIfaceCache, xpc::CreateGlobalObject, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal
Version: Version 3 → 52 Branch
I am not sure if webextensions is the right component, toolkit/extensions didn't map to anything specific.
This should be fixed by the patches for bug 1325158.
Depends on: 1325158
Flags: needinfo?(kmaglione+bmo)
the patches in bug 1325158 have landed a few days ago and we still get a lot of failures for this bug- :kmag, can you take a look at this when you get some time?
Flags: needinfo?(kmaglione+bmo)
It doesn't look like these failures have anything to do with the toolkit/components/extensions/test/mochitest directory.
Flags: needinfo?(kmaglione+bmo)
these seem to be in a variety of directories just looking at some of the more recent ones:
layout/forms/test
dom/tests/mochitest/webcomponents/
toolkit/components/startup/tests/browser
The leaks from the push you mentioned in comment 1 should be fixed. The rest, I don't have anything to do with, so this probably belongs in a different component now.
At the moment, I see two likely possibilities:

1) The LoadModule leak suppression[1] is no longer working reliably, because it's more than 5 frames deep, and the unwinder does not consistently unwind that far:

  Indirect leak of 520 byte(s) in 5 object(s) allocated from:
      #0 0x4b24ab in malloc /llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:52:3
      #1 0x4e113d in moz_xmalloc memory/mozalloc/mozalloc.cpp:83:17
      #2 0x7f9c46abedba in operator new obj-firefox/dist/include/mozilla/mozalloc.h:194:12
      #3 0x7f9c46abedba in NS_NewBackstagePass(BackstagePass**) js/xpconnect/src/XPCRuntimeService.cpp:185
      #4 0x7f9c46a059a2 in mozJSComponentLoader::PrepareObjectForLocation(JSContext*, nsIFile*, nsIURI*, bool, bool*) js/xpconnect/loader/mozJSComponentLoader.cpp:559:14
      #5 0x7f9c46a02188 in mozJSComponentLoader::ObjectForLocation(ComponentLoaderInfo&, nsIFile*, JS::MutableHandle<JSObject*>, JS::MutableHandle<JSScript*>, char**, bool, JS::MutableHandle<JS::Value>) js/xpconnect/loader/mozJSComponentLoader.cpp:683:26

Something may have recently changed to influence that. Although, I don't understand why we're ignoring these leaks, since I'd expect us to clear the module cache at shutdown. Except, well...

    // Modules are intentionally leaked, but still cleared.

2) There's some issue with XMLHttpRequest objects in module scopes. All of the leak reports I've seen include XMLHttpRequest prototype chains, particularly the EventTarget classes, so there may be some faulty memory management there.

[1]: http://searchfox.org/mozilla-central/source/build/sanitizers/lsan_suppressions.txt#15
I looked over all of the failures in comment 13, and they all had a ton of stuff that looked like the JS engine leaking stuff, and they (almost) all had XHR stuff in there, like you said. I'm not sure what you mean about 1) in comment 14, but those little component loader leaks shouldn't result in this total leakage of JS engine stuff. We have a number of non-LSan leaks that look like they are XHR related (such as bug 1325438) so this is presumably just the LSan variant of that.
Depends on: 1325438
No longer depends on: 1325158
Component: WebExtensions: Untriaged → DOM
Product: Toolkit → Core
Depends on: 1325158
(In reply to Andrew McCreight [:mccr8] from comment #15)
> I looked over all of the failures in comment 13, and they all had a ton of
> stuff that looked like the JS engine leaking stuff, and they (almost) all
> had XHR stuff in there, like you said. I'm not sure what you mean about 1)
> in comment 14, but those little component loader leaks shouldn't result in
> this total leakage of JS engine stuff. We have a number of non-LSan leaks
> that look like they are XHR related (such as bug 1325438) so this is
> presumably just the LSan variant of that.

Yeah, I dug through the code some more and came to the conclusion that we shouldn't actually be leaking any JS objects from the component loader. The comments are just a bit incomplete/misleading.
[Tracking Requested - why for this release]: frequent large leak, regression
Keywords: mlk, regression
Whiteboard: [MemShrink]
Tracking 53+ for the reasons in Comment 17.
No longer depends on: 1325438
It looks like one of the fixes in another bug has solved this intermittent leak.
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → WORKSFORME
Whiteboard: [MemShrink] → [MemShrink][stockwell fixed]
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.